KNOWLEDGE BASE

Error "An error occurred validating the custom SQL connection ... The minimum required version to read the data is 14.0.0000.0000" Connecting to Access Table


Published: 27 Jan 2014
Last Modified Date: 20 May 2016

Issue

When connecting to an Microsoft Access table linked to SharePoint list, the following error might occur:

An error occurred validating the custom SQL connection.
Database error 0x80004005: The Microsoft Office Access database engine cannot read the data in RRES Workers Comp.
The minimum required version to read the data is 14.0.0000.0000.

Environment

  • Tableau Desktop 8.1.0
  • Access 2010
  • SharePoint 2010

Resolution

Ensure version compatibility and consistency in Microsoft products.

Option 1

  1. In Microsoft Access, go to File > Options > Current database.
  2. Scroll down to Caching web service and SharePoint tables.
  3. Clear the selection for Use the cache format that is compatible with access 2010 or later.

Option 2

Install the Microsoft Access 2010 driver located in the Microsoft Download Center.

Cause

This issue is a result of a compatibility issue with different formatting between 2007 and 2010 Microsoft software.
Did this article resolve the issue?